Rename a person
curl --request PATCH \
--url https://api.example.com/v1/settings/people/{personId}/name \
--header 'Content-Type: application/json' \
--cookie __Secure-better-auth.session_token= \
--data '
{
"displayName": "<string>",
"nicknames": [
"<string>"
],
"supersedes": "<string>",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/v1/settings/people/{personId}/name"
payload = {
"displayName": "<string>",
"nicknames": ["<string>"],
"supersedes": "<string>",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z"
}
headers = {
"cookie": "__Secure-better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
cookie: '__Secure-better-auth.session_token=',
'Content-Type': 'application/json'
},
body: JSON.stringify({
displayName: '<string>',
nicknames: ['<string>'],
supersedes: '<string>',
operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/v1/settings/people/{personId}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/settings/people/{personId}/name",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'nicknames' => [
'<string>'
],
'supersedes' => '<string>',
'operationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_COOKIE => "__Secure-better-auth.session_token=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/settings/people/{personId}/name"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"nicknames\": [\n \"<string>\"\n ],\n \"supersedes\": \"<string>\",\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "__Secure-better-auth.session_token=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/settings/people/{personId}/name")
.header("cookie", "__Secure-better-auth.session_token=")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"nicknames\": [\n \"<string>\"\n ],\n \"supersedes\": \"<string>\",\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/settings/people/{personId}/name")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = '__Secure-better-auth.session_token='
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"nicknames\": [\n \"<string>\"\n ],\n \"supersedes\": \"<string>\",\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"code": "request.timeout",
"correlationId": "<string>"
}{
"code": "request.timeout",
"correlationId": "<string>"
}People
Rename a person
Writes a new display name and nicknames. The previous name is superseded, never edited: supersedes is the id of the name being replaced, and a stale id is a conflict. operationId makes a retry safe.
PATCH
/
v1
/
settings
/
people
/
{personId}
/
name
Rename a person
curl --request PATCH \
--url https://api.example.com/v1/settings/people/{personId}/name \
--header 'Content-Type: application/json' \
--cookie __Secure-better-auth.session_token= \
--data '
{
"displayName": "<string>",
"nicknames": [
"<string>"
],
"supersedes": "<string>",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/v1/settings/people/{personId}/name"
payload = {
"displayName": "<string>",
"nicknames": ["<string>"],
"supersedes": "<string>",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z"
}
headers = {
"cookie": "__Secure-better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
cookie: '__Secure-better-auth.session_token=',
'Content-Type': 'application/json'
},
body: JSON.stringify({
displayName: '<string>',
nicknames: ['<string>'],
supersedes: '<string>',
operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/v1/settings/people/{personId}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/settings/people/{personId}/name",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'nicknames' => [
'<string>'
],
'supersedes' => '<string>',
'operationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_COOKIE => "__Secure-better-auth.session_token=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/settings/people/{personId}/name"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"nicknames\": [\n \"<string>\"\n ],\n \"supersedes\": \"<string>\",\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "__Secure-better-auth.session_token=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/settings/people/{personId}/name")
.header("cookie", "__Secure-better-auth.session_token=")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"nicknames\": [\n \"<string>\"\n ],\n \"supersedes\": \"<string>\",\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/settings/people/{personId}/name")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = '__Secure-better-auth.session_token='
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"nicknames\": [\n \"<string>\"\n ],\n \"supersedes\": \"<string>\",\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"code": "request.timeout",
"correlationId": "<string>"
}{
"code": "request.timeout",
"correlationId": "<string>"
}Authorizations
The session cookie set when you sign in to the web app.
Path Parameters
Maximum string length:
64Body
application/json
Response
The name was superseded.